cook.sh: do not barf on removed branch when listing Graduated to 'master'
Junio C Hamano committed
Sep 7, 2009 at 17:53 UTC
f7ef488e46a01153eb550f390b7228f3277f2f50
1 file changed
+1
-1
cook.sh
+1
-1
index 328b515fdc..56904fa59f 100755
--- a/cook.sh
+++ b/cook.sh
@@ -388,7 +388,7 @@ do
test "$section" = 'Graduated to "master"' &&
test "$incremental" = no && continue
- tip=$(git rev-parse --quiet --verify "refs/heads/$branch")
+ tip=$(git rev-parse --quiet --verify "refs/heads/$branch") || continue
mb=$(git merge-base master $tip)
test "$mb" = "$tip" || continue
if test -n "$current"